You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     pyt...@freebsd.org
Last committer: sunp...@freebsd.org
Ident:          $FreeBSD: head/x11-toolkits/py-fltk/Makefile 398614 2015-10-04 
18:01:48Z sunpoet $
Log URL:        
http://beefy1.nyi.freebsd.org/data/93i386-default/403994/logs/py27-fltk-1.3.3.1.log
Build URL:      
http://beefy1.nyi.freebsd.org/build.html?mastername=93i386-default&build=403994
Log:

====>> Building x11-toolkits/py-fltk
build started at Sat Dec 19 08:04:36 UTC 2015
port directory: /usr/ports/x11-toolkits/py-fltk
building for: FreeBSD 93i386-default-job-01 9.3-RELEASE-p32 FreeBSD 
9.3-RELEASE-p32 i386
maintained by: pyt...@freebsd.org
Makefile ident:      $FreeBSD: head/x11-toolkits/py-fltk/Makefile 398614 
2015-10-04 18:01:48Z sunpoet $
Poudriere version: 3.1.10
Host OSVERSION: 1100085
Jail OSVERSION: 903000

---Begin Environment---
SHELL=/bin/csh
UNAME_p=i386
UNAME_m=i386
OSVERSION=903000
UNAME_v=FreeBSD 9.3-RELEASE-p32
UNAME_r=9.3-RELEASE-p32
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/93i386-default/ref
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=py27-fltk-1.3.3.1
OLDPWD=/
PWD=/usr/local/poudriere/data/.m/93i386-default/ref/.p/pool
MASTERNAME=93i386-default
SCRIPTPREFIX=/usr/local/share/poudriere
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.10
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
PYTHON="/usr/local/bin/python2.7" 
XDG_DATA_HOME=/wrkdirs/usr/ports/x11-toolkits/py-fltk/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/x11-toolkits/py-fltk/work  
HOME=/wrkdirs/usr/ports/x11-toolkits/py-fltk/work TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
FLTK_HOME=/usr/local/bin 
XDG_DATA_HOME=/wrkdirs/usr/ports/x11-toolkits/py-fltk/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/x11-toolkits/py-fltk/work  
HOME=/wrkdirs/usr/ports/x11-toolkits/py-fltk/work TMPDIR="/tmp" NO_PIE=yes 
NO_DEBUG_FILES=yes SHELL=/bin/sh NO_LINT=YES LDSHARED="cc -shared" 
PYTHONDONTWRITEBYTECODE= PYTHONOPTIMIZE= PREFIX=/usr/local  
LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe -DFL_LIBRARY 
-fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  LDFLAGS="" LIBS=""  CXX="c++" 
CXXFLAGS="-O2 -pipe -DFL_LIBRARY -fno-strict-aliasing"  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 444"  
BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  
BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
PYTHON_INCLUDEDIR=include/python2.7
PYTHON_LIBDIR=lib/python2.7
PYTHON_PLATFORM=freebsd9
PYTHON_SITELIBDIR=lib/python2.7/site-packages
PYTHON_VERSION=python2.7
PYTHON_VER=2.7
OSREL=9.3
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/py-fltk"
EXAMPLESDIR="share/examples/py-fltk"
DATADIR="share/fltk"
WWWDIR="www/fltk"
ETCDIR="etc/fltk"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/fltk
DOCSDIR=/usr/local/share/doc/py-fltk
EXAMPLESDIR=/usr/local/share/examples/py-fltk
WWWDIR=/usr/local/www/fltk
ETCDIR=/usr/local/etc/fltk
--End SUB_LIST--

---Begin make.conf---
MACHINE=i386
MACHINE_ARCH=i386
ARCH=${MACHINE_ARCH}
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
=======================<phase: check-sanity   >============================
===>  License LGPL20 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   py27-fltk-1.3.3.1 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.6.2.txz
[93i386-default-job-01] Installing pkg-1.6.2...
[93i386-default-job-01] Extracting pkg-1.6.2: .......... done
Message from pkg-1.6.2:
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   py27-fltk-1.3.3.1 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of py27-fltk-1.3.3.1
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License LGPL20 accepted by the user
===> Fetching all distfiles required by py27-fltk-1.3.3.1 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License LGPL20 accepted by the user
===> Fetching all distfiles required by py27-fltk-1.3.3.1 for building
=> SHA256 Checksum OK for pyFltk-1.3.3.1_py3.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License LGPL20 accepted by the user
===> Fetching all distfiles required by py27-fltk-1.3.3.1 for building
===>  Extracting for py27-fltk-1.3.3.1
=> SHA256 Checksum OK for pyFltk-1.3.3.1_py3.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for py27-fltk-1.3.3.1
===========================================================================
=======================<phase: build-depends  >============================
===>   py27-fltk-1.3.3.1 depends on package: py27-setuptools27>0 - not found
===>   Installing existing package /packages/All/py27-setuptools27-18.7.txz
[93i386-default-job-01] Installing py27-setuptools27-18.7...
[93i386-default-job-01] `-- Installing python27-2.7.10_1...
[93i386-default-job-01] |   `-- Installing libffi-3.2.1...
[93i386-default-job-01] |   | `-- Installing indexinfo-0.2.4...
[93i386-default-job-01] |   | `-- Extracting indexinfo-0.2.4: .... done
[93i386-default-job-01] |   `-- Extracting libffi-3.2.1: .......... done
[93i386-default-job-01] |   `-- Installing gettext-runtime-0.19.6...
[93i386-default-job-01] |   | `-- Installing libiconv-1.14_9...
[93i386-default-job-01] |   | `-- Extracting libiconv-1.14_9: .......... done
[93i386-default-job-01] |   `-- Extracting gettext-runtime-0.19.6: .......... 
done
[93i386-default-job-01] `-- Extracting python27-2.7.10_1: .......... done
[93i386-default-job-01] Extracting py27-setuptools27-18.7: .......... done
Message from python27-2.7.10_1:
===========================================================================

Note that some standard Python modules are provided as separate ports
as they require additional dependencies. They are available as:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

===========================================================================
===>   py27-fltk-1.3.3.1 depends on package: py27-setuptools27>0 - found
===>   Returning to build of py27-fltk-1.3.3.1
===>   py27-fltk-1.3.3.1 depends on file: /usr/local/bin/python2.7 - found
===>   py27-fltk-1.3.3.1 depends on file: /usr/local/libdata/pkgconfig/x11.pc - 
not found
===>   Installing existing package /packages/All/libX11-1.6.3,1.txz
[93i386-default-job-01] Installing libX11-1.6.3,1...
[93i386-default-job-01] `-- Installing xproto-7.0.28...
[93i386-default-job-01] `-- Extracting xproto-7.0.28: .......... done
[93i386-default-job-01] `-- Installing kbproto-1.0.7...
[93i386-default-job-01] `-- Extracting kbproto-1.0.7: .......... done
[93i386-default-job-01] `-- Installing libXdmcp-1.1.2...
[93i386-default-job-01] `-- Extracting libXdmcp-1.1.2: ......... done
[93i386-default-job-01] `-- Installing libxcb-1.11.1...
[93i386-default-job-01] |   `-- Installing libxml2-2.9.3...
[93i386-default-job-01] |   `-- Extracting libxml2-2.9.3: .......... done
[93i386-default-job-01] |   `-- Installing libpthread-stubs-0.3_6...
[93i386-default-job-01] |   `-- Extracting libpthread-stubs-0.3_6: ..... done
[93i386-default-job-01] |   `-- Installing libXau-1.0.8_3...
[93i386-default-job-01] |   `-- Extracting libXau-1.0.8_3: .......... done
[93i386-default-job-01] `-- Extracting libxcb-1.11.1: .......... done
[93i386-default-job-01] Extracting libX11-1.6.3,1: .......... done
===>   py27-fltk-1.3.3.1 depends on file: /usr/local/libdata/pkgconfig/x11.pc - 
found
===>   Returning to build of py27-fltk-1.3.3.1
===========================================================================
=======================<phase: lib-depends    >============================
===>   py27-fltk-1.3.3.1 depends on shared library: libfltk.so - not found
===>   Installing existing package /packages/All/fltk-1.3.3_2.txz
[93i386-default-job-01] Installing fltk-1.3.3_2...
[93i386-default-job-01] `-- Installing jpeg-turbo-1.4.2...
[93i386-default-job-01] `-- Extracting jpeg-turbo-1.4.2: .......... done
[93i386-default-job-01] `-- Installing libXft-2.3.2_1...
[93i386-default-job-01] |   `-- Installing fontconfig-2.11.1_1,1...
[93i386-default-job-01] |   | `-- Installing expat-2.1.0_3...
[93i386-default-job-01] |   | `-- Extracting expat-2.1.0_3: .......... done
[93i386-default-job-01] |   | `-- Installing freetype2-2.6.2...
[93i386-default-job-01] |   | `-- Extracting freetype2-2.6.2: .......... done
[93i386-default-job-01] |   `-- Extracting fontconfig-2.11.1_1,1: .......... 
done
Running fc-cache to build fontconfig cache...
/usr/local/share/fonts: skipping, no such directory
/usr/local/lib/X11/fonts: skipping, no such directory
/root/.local/share/fonts: skipping, no such directory
/root/.fonts: skipping, no such directory
/var/db/fontconfig: cleaning cache directory
/root/.cache/fontconfig: not cleaning non-existent cache directory
/root/.fontconfig: not cleaning non-existent cache directory
fc-cache: succeeded
[93i386-default-job-01] |   `-- Installing libXrender-0.9.9...
[93i386-default-job-01] |   | `-- Installing renderproto-0.11.1...
[93i386-default-job-01] |   | `-- Extracting renderproto-0.11.1: .... done
[93i386-default-job-01] |   `-- Extracting libXrender-0.9.9: .......... done
[93i386-default-job-01] `-- Extracting libXft-2.3.2_1: ......... done
[93i386-default-job-01] `-- Installing libGLU-9.0.0_2...
[93i386-default-job-01] |   `-- Installing libGL-11.0.7...
[93i386-default-job-01] |   | `-- Installing dri2proto-2.8...
[93i386-default-job-01] |   | `-- Extracting dri2proto-2.8: .... done
[93i386-default-job-01] |   | `-- Installing libXdamage-1.1.4_3...
[93i386-default-job-01] |   |   `-- Installing libXfixes-5.0.1_3...
[93i386-default-job-01] |   |   | `-- Installing fixesproto-5.0...
[93i386-default-job-01] |   |   | `-- Extracting fixesproto-5.0: .... done
[93i386-default-job-01] |   |   `-- Extracting libXfixes-5.0.1_3: .......... 
done
[93i386-default-job-01] |   |   `-- Installing damageproto-1.2.1...
[93i386-default-job-01] |   |   `-- Extracting damageproto-1.2.1: .... done
[93i386-default-job-01] |   | `-- Extracting libXdamage-1.1.4_3: ...... done
[93i386-default-job-01] |   | `-- Installing libdevq-0.0.2_1...
[93i386-default-job-01] |   | `-- Extracting libdevq-0.0.2_1: ..... done
[93i386-default-job-01] |   | `-- Installing gcc-4.8.5_2...
[93i386-default-job-01] |   |   `-- Installing mpc-1.0.3...
[93i386-default-job-01] |   |   | `-- Installing gmp-5.1.3_2...
[93i386-default-job-01] |   |   | `-- Extracting gmp-5.1.3_2: .......... done
[93i386-default-job-01] |   |   | `-- Installing mpfr-3.1.3...
[93i386-default-job-01] |   |   | `-- Extracting mpfr-3.1.3: .......... done
[93i386-default-job-01] |   |   `-- Extracting mpc-1.0.3: ...... done
[93i386-default-job-01] |   |   `-- Installing gcc-ecj-4.5...
[93i386-default-job-01] |   |   `-- Extracting gcc-ecj-4.5: . done
[93i386-default-job-01] |   |   `-- Installing binutils-2.25.1...
[93i386-default-job-01] |   |   `-- Extracting binutils-2.25.1: .......... done
[93i386-default-job-01] |   | `-- Extracting gcc-4.8.5_2: .......... done
[93i386-default-job-01] |   | `-- Installing libXxf86vm-1.1.4_1...
[93i386-default-job-01] |   |   `-- Installing xf86vidmodeproto-2.3.1...
[93i386-default-job-01] |   |   `-- Extracting xf86vidmodeproto-2.3.1: .... done
[93i386-default-job-01] |   |   `-- Installing libXext-1.3.3_1,1...
[93i386-default-job-01] |   |   | `-- Installing xextproto-7.3.0...
[93i386-default-job-01] |   |   | `-- Extracting xextproto-7.3.0: .......... 
done
[93i386-default-job-01] |   |   `-- Extracting libXext-1.3.3_1,1: .......... 
done
[93i386-default-job-01] |   | `-- Extracting libXxf86vm-1.1.4_1: .......... done
[93i386-default-job-01] |   | `-- Installing libdrm-2.4.65_1,1...
[93i386-default-job-01] |   |   `-- Installing libpciaccess-0.13.4...
[93i386-default-job-01] |   |   | `-- Installing pciids-20151205...
[93i386-default-job-01] |   |   | `-- Extracting pciids-20151205: ...... done
[93i386-default-job-01] |   |   `-- Extracting libpciaccess-0.13.4: ...... done
[93i386-default-job-01] |   | `-- Extracting libdrm-2.4.65_1,1: .......... done
[93i386-default-job-01] |   | `-- Installing libxshmfence-1.2...
[93i386-default-job-01] |   | `-- Extracting libxshmfence-1.2: ......... done
[93i386-default-job-01] |   | `-- Installing libglapi-11.0.7...
[93i386-default-job-01] |   |   `-- Installing libXvMC-1.0.9...
[93i386-default-job-01] |   |   | `-- Installing libXv-1.0.10_3,1...
[93i386-default-job-01] |   |   |   `-- Installing videoproto-2.3.2...
[93i386-default-job-01] |   |   |   `-- Extracting videoproto-2.3.2: ...... done
[93i386-default-job-01] |   |   | `-- Extracting libXv-1.0.10_3,1: .......... 
done
[93i386-default-job-01] |   |   `-- Extracting libXvMC-1.0.9: .......... done
[93i386-default-job-01] |   | `-- Extracting libglapi-11.0.7: ... done
[93i386-default-job-01] |   `-- Extracting libGL-11.0.7: .......... done
[93i386-default-job-01] `-- Extracting libGLU-9.0.0_2: ...... done
[93i386-default-job-01] `-- Installing png-1.6.20...
[93i386-default-job-01] `-- Extracting png-1.6.20: .......... done
[93i386-default-job-01] Extracting fltk-1.3.3_2: .......... done
Message from gcc-4.8.5_2:
To ensure binaries built with this toolchain find appropriate versions
of the necessary run-time libraries, you may want to link using

  -Wl,-rpath=/usr/local/lib/gcc48

For ports leveraging USE_GCC, USES=compiler, or USES=fortran this happens
transparently.
===>   py27-fltk-1.3.3.1 depends on shared library: libfltk.so - found 
(/usr/local/lib/libfltk.so)
===>   Returning to build of py27-fltk-1.3.3.1
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for py27-fltk-1.3.3.1
Building for: freebsd9
['/usr/local/bin', './src', './contrib', '/usr/include']
Checking FLTK configuration ... 
Checking fltk-config using FLTK_HOME
('Using FLTK: ', ['1.3.3\n'])
('fltk-config includes: ', ['/usr/local/include', 
'/usr/local/include/freetype2', '/usr/local/include'])
('fltk-config link paths: ', ['/usr/local/lib'])
('fltk-config link libraries: ', ['m', 'fltk_images', 'png', 'z', 'jpeg', 
'fltk_gl', 'GLU', 'GL', 'fltk_forms', 'fltk', 'Xfixes', 'Xext', 'Xft', 
'fontconfig', 'pthread', 'm', 'X11'])
FLTK was configured with multi-threading support!
FLTK was configured with OpenGL support!
FLTK was configured with Forms support!
done
running config
===========================================================================
=======================<phase: build          >============================
===>  Building for py27-fltk-1.3.3.1
Building for: freebsd9
['/usr/local/bin', './src', './contrib', '/usr/include']
Checking FLTK configuration ... 
Checking fltk-config using FLTK_HOME
('Using FLTK: ', ['1.3.3\n'])
('fltk-config includes: ', ['/usr/local/include', 
'/usr/local/include/freetype2', '/usr/local/include'])
('fltk-config link paths: ', ['/usr/local/lib'])
('fltk-config link libraries: ', ['m', 'fltk_images', 'png', 'z', 'jpeg', 
'fltk_gl', 'GLU', 'GL', 'fltk_forms', 'fltk', 'Xfixes', 'Xext', 'Xft', 
'fontconfig', 'pthread', 'm', 'X11'])
FLTK was configured with multi-threading support!
FLTK was configured with OpenGL support!
FLTK was configured with Forms support!
done
running build
running build_py
creating build
creating build/lib.freebsd-9.3-RELEASE-p32-i386-2.7
creating build/lib.freebsd-9.3-RELEASE-p32-i386-2.7/fltk
copying fltk/__init__.py -> build/lib.freebsd-9.3-RELEASE-p32-i386-2.7/fltk
running build_ext
building 'fltk._fltk' extension
creating build/temp.freebsd-9.3-RELEASE-p32-i386-2.7
creating build/temp.freebsd-9.3-RELEASE-p32-i386-2.7/python
creating build/temp.freebsd-9.3-RELEASE-p32-i386-2.7/contrib
cc -DNDEBUG -O2 -pipe -DFL_LIBRARY -fno-strict-aliasing -fPIC -DUNIX=1 
-I/usr/local/include/freetype2 -I/usr/local/include -I/usr/local/bin -I./src 
-I./contrib -I/usr/include -I/usr/local/include/python2.7 -c 
./python/fltk_wrap.cpp -o 
build/temp.freebsd-9.3-RELEASE-p32-i386-2.7/./python/fltk_wrap.o
./python/fltk_wrap.cpp: In function 'int fl_mt_ask(const char*)':
./python/fltk_wrap.cpp:5355: error: #pragma GCC diagnostic not allowed inside 
functions
./python/fltk_wrap.cpp:5356: error: #pragma GCC diagnostic not allowed inside 
functions
./python/fltk_wrap.cpp:5358: warning: 'fl_ask' is deprecated (declared at 
/usr/local/include/FL/fl_ask.H:53)
./python/fltk_wrap.cpp:5358: warning: 'fl_ask' is deprecated (declared at 
/usr/local/include/FL/fl_ask.H:53)
./python/fltk_wrap.cpp:5360: error: #pragma GCC diagnostic not allowed inside 
functions
./python/fltk_wrap.cpp: At global scope:
./python/fltk_wrap.cpp:60077: warning: expected [error|warning|ignored] after 
'#pragma GCC diagnostic'
./python/fltk_wrap.cpp:60485: warning: expected [error|warning|ignored] after 
'#pragma GCC diagnostic'
error: command 'cc' failed with exit status 1
*** [do-build] Error code 1

Stop in /usr/ports/x11-toolkits/py-fltk.
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to